Package org.apache.calcite.avatica.util

## Class AbstractCursor.BigNumberAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.BigNumberAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Direct Known Subclasses:
  `AbstractCursor.BigDecimalAccessor`, `AbstractCursor.NumberAccessor`

Enclosing class:
  AbstractCursor

    private abstract static class AbstractCursor.BigNumberAccessor
    extends AbstractCursor.AccessorImpl

Accessor of exact numeric values. The subclass must implement the `getLong()` method.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `BigNumberAccessor​(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `getBoolean()`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`protected abstract java.lang.Number` `getNumber()`
`short` `getShort()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBytes, getCharacterStream, getClob, getDate, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigNumberAccessor

    private BigNumberAccessor​(AbstractCursor.Getter getter)

### Method Detail

#### getNumber

    protected abstract java.lang.Number getNumber()
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble()
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Overrides:
  `getDouble` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat()
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `Cursor.Accessor`
Overrides:
  `getFloat` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong()
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Overrides:
  `getLong` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt()
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `Cursor.Accessor`
Overrides:
  `getInt` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort()
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `Cursor.Accessor`
Overrides:
  `getShort` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte()
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `Cursor.Accessor`
Overrides:
  `getByte` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean()
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `Cursor.Accessor`
Overrides:
  `getBoolean` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`